classification
Title: Fix bigmem pickle tests
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: alexandre.vassalotti Nosy List: alexandre.vassalotti, pitrou, python-dev, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2013-12-04 06:38 by alexandre.vassalotti, last changed 2013-12-06 03:32 by alexandre.vassalotti. This issue is now closed.

Files
File name Uploaded Description Edit
fix_bigmem_pickle.patch alexandre.vassalotti, 2013-12-04 06:38 review
fix_bigmem_pickle_2.patch alexandre.vassalotti, 2013-12-05 08:48 review
fix_bigmem_pickle_3.patch alexandre.vassalotti, 2013-12-06 03:10 review
Messages (6)
msg205196 - (view) Author: Alexandre Vassalotti (alexandre.vassalotti) * (Python committer) Date: 2013-12-04 06:38
The bigmem tests for pickle are currently failing for protocol 4. The tests are broken because of an assumption rendered invalid by the frame header. Fixing the tests caught a legitimate bug in the save_bytes function of cpickle.
msg205206 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-12-04 08:26
Alexandre, if you have enough memory, could you please check that memory requirements for bigmem tests are correct?
msg205207 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-12-04 08:53
Here is a patch with new bigmem limits. Currently bigmem tests consumes much more memory than they declare. This can cause memory swapping and too long time of test's running.
msg205222 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2013-12-04 15:03
(we did have a bigmem buildbot but the bigmem tests tended to crash it, as some memory estimates are widely inaccurate)
msg205237 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-12-04 19:31
Patch about bigmem limits was moved to issue19886.
msg205346 - (view) Author: Roundup Robot (python-dev) Date: 2013-12-06 03:29
New changeset 2612ea573ff7 by Alexandre Vassalotti in branch 'default':
Issue #19881: Fix bad pickling of large bytes in cpickle.
http://hg.python.org/cpython/rev/2612ea573ff7
History
Date User Action Args
2013-12-06 03:32:23alexandre.vassalottisetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2013-12-06 03:29:43python-devsetnosy: + python-dev
messages: + msg205346
2013-12-06 03:10:14alexandre.vassalottisetfiles: + fix_bigmem_pickle_3.patch
2013-12-05 08:48:34alexandre.vassalottisetfiles: + fix_bigmem_pickle_2.patch
2013-12-04 19:31:21serhiy.storchakasetmessages: + msg205237
2013-12-04 19:30:35serhiy.storchakasetfiles: - pickle_bigmem_limits.patch
2013-12-04 15:03:57pitrousetmessages: + msg205222
2013-12-04 14:14:25serhiy.storchakasetfiles: + pickle_bigmem_limits.patch
2013-12-04 14:12:05serhiy.storchakasetfiles: - pickle_bigmem_limits.patch
2013-12-04 08:53:18serhiy.storchakasetfiles: + pickle_bigmem_limits.patch

messages: + msg205207
2013-12-04 08:26:03serhiy.storchakasetmessages: + msg205206
2013-12-04 06:38:54alexandre.vassalotticreate